<?php
/**
 * PropertiesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * PropertiesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PropertiesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createDirectoryValue
     *
     * Запрос на создание нового значения справочника.
     *
     */
    public function testCreateDirectoryValue()
    {
    }

    /**
     * Test case for createProperty
     *
     * Запрос на создание нового свойства.
     *
     */
    public function testCreateProperty()
    {
    }

    /**
     * Test case for deleteDirectoryValue
     *
     * Запрос на удаление значения справочника.
     *
     */
    public function testDeleteDirectoryValue()
    {
    }

    /**
     * Test case for deleteProperties
     *
     * Массовое удаление свойств.
     *
     */
    public function testDeleteProperties()
    {
    }

    /**
     * Test case for deleteProperty
     *
     * Запрос на удаление свойства.
     *
     */
    public function testDeleteProperty()
    {
    }

    /**
     * Test case for getDirectoryValue
     *
     * Возвращает данные значения справочника.
     *
     */
    public function testGetDirectoryValue()
    {
    }

    /**
     * Test case for getProperty
     *
     * Получение данных свойства.
     *
     */
    public function testGetProperty()
    {
    }

    /**
     * Test case for patchDirectoryValue
     *
     * Запрос на обновление отдельных атрибутов значения справочника.
     *
     */
    public function testPatchDirectoryValue()
    {
    }

    /**
     * Test case for patchProperty
     *
     * Запрос на обновление отдельных атрибутов свойства.
     *
     */
    public function testPatchProperty()
    {
    }

    /**
     * Test case for preloadDirectoryValueImage
     *
     * Загрузка картинки для значения справочника.
     *
     */
    public function testPreloadDirectoryValueImage()
    {
    }

    /**
     * Test case for replaceDirectoryValue
     *
     * Запрос на обновление значения справочника.
     *
     */
    public function testReplaceDirectoryValue()
    {
    }

    /**
     * Test case for replaceProperty
     *
     * Запрос на обновление свойства.
     *
     */
    public function testReplaceProperty()
    {
    }

    /**
     * Test case for searchDirectoryValues
     *
     * Поиск значений справочников, удовлетворяющих фильтру.
     *
     */
    public function testSearchDirectoryValues()
    {
    }

    /**
     * Test case for searchProperties
     *
     * Поиск свойств, удовлетворяющих фильтру.
     *
     */
    public function testSearchProperties()
    {
    }
}
